#!/bin/bash

set -e

if [ "$GITEA_CUSTOM" == "" ]; then
    GITEA_CUSTOM="/var/lib/gitea/custom"
fi

echo ""
echo "Customizations will be installed into $GITEA_CUSTOM"
echo "(define GITEA_CUSTOM env to change it)"
echo ""
read -p "Continue (y/N)?" confirm
case "$confirm" in 
  y|Y ) echo "yes";;
  * ) exit 1;;
esac

mkdir -p "$GITEA_CUSTOM"
cp -r -v -f ./custom/* "$GITEA_CUSTOM/"

systemctl restart gitea